Bug 1261941 - DHT: If Re-balance fails while migrating the file, T bit is getting set on the file
DHT: If Re-balance fails while migrating the file, T bit is getting set on th...
Status: NEW
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute (Show other bugs)
3.1
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Mohit Agrawal
storage-qa-internal@redhat.com
dht-file-permission
dht-rca-unknown, dht-failed-rebalance
: ZStream
Depends On:
Blocks: 1403889
  Show dependency treegraph
 
Reported: 2015-09-10 09:18 EDT by RajeshReddy
Modified: 2017-09-30 13:02 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1403889 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RajeshReddy 2015-09-10 09:18:26 EDT
Description of problem:
=======================
If Re-balance fails while migrating the file, T bit is getting set on the file, though user may not find any changes from the mount point 

Version-Release number of selected component (if applicable):
==========
glusterfs-api-3.7.1-6

Steps to Reproduce:
==========================
1. Create a distributed volume with two bricks and mount it on client using FUSE
2. Create 4 GB file on mount point
3. Remove the brick which having the file, and while re-balance in progress kill the brick process
4. Bring up the brick process and again do the remove-brick operation and after completion of operation do the ls -lrt on the destination brick, and T bit is set on the files 

 [root@rhs-client9 data3]# ls -lrt 
total 10223632
-rw-rwsr-T+ 2 root root 3489661429 Sep 10 17:06 file1
-rw-rwsr-T+ 2 root root 6979322366 Sep 10 17:06 file2

Expected Result:
===================
T bit should not be set

Notes:
=========
[root@rhs-client9 data3]# gluster vol status ACL_DHT
Status of volume: ACL_DHT
Gluster process                             TCP Port  RDMA Port  Online  Pid
------------------------------------------------------------------------------
Brick rhs-client9.lab.eng.blr.redhat.com:/r
hs/brick4/ACL_DHT                           49199     0          Y       7345 
NFS Server on localhost                     2049      0          Y       7975 
NFS Server on rhs-client39.lab.eng.blr.redh
at.com                                      2049      0          Y       7187 
 
Task Status of Volume ACL_DHT
------------------------------------------------------------------------------
There are no active volume tasks
Comment 2 Sakshi 2015-11-02 02:19:48 EST
One reason for seeing T bit could be that just before removing the linkto xattr from the file the rebalance process failed and hence the T bit was never removed. 

Rajesh can you recreate the bug and confirm that the files had the T bit after the first rebalance failed?

Note You need to log in before you can comment on or make changes to this bug.